<< rms | FOSSEE_Signal_Processing_Toolbox | rootmusic >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > rooteig

# rooteig

Frequencies and power of sinusoids using eigenvector algorithm

### Syntax

    w = rooteig(x,p)
    [w,pow] = rooteig(x,p)
    [f,pow] = rooteig(...,fs)
    [w,pow] = rooteig(...,'corr')

### Parameters

x :

  int|double - vector|matrix

p :

  int|double - scalar|2 element vector

fs :

  int|double - scalar

'corr' :

  flag

w :

  double - vector

pow :

  double - vector

### Examples

    // Time vector
    n = 0:99
    // Create a signal with 2 complex exponentials + noise
    s = exp(%i*2*%pi*0.1*n) + 1.5*exp(%i*2*%pi*0.25*n) + 0.5*rand(1, 100, 'normal')
    // Use rooteig to estimate frequencies and powers
    [W, P] = rooteig(s, 2)

### Authors

- Ayush

### Bibliography

1) Stoica, P. and R. Moses, INTRODUCTION TO SPECTRAL ANALYSIS,

Prentice-Hall

Report an issue
<< rms | FOSSEE_Signal_Processing_Toolbox | rootmusic >>